Bug with Geoprocessing Buffering

2015-04-06 09:19 AM - Randal Hale

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.8.1 Regression?:

Operating System: Ubuntu Windows Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20661

Description

Link to Data: https://drive.google.com/file/d/0B8WLtz606XDdYzFuOXZNOGNIYkE/view?usp=sharing

File: ACC_Data.zip

Projection is EPSG:2240.

If I select a few lines it buffers. If I select all the lines it buffers. If I select nothing It throws the following python error. Other less dense

polyline or point features buffer with no problem. I don't believe this is a problem with the data - I've used this data before for buffering in a

class.

An error has occured while executing Python code:

Traceback (most recent call last):

              File "/usr/share/qgis/python/plugins/fTools/tools/doGeoprocessing.py", line 302, in run

                geos, feature, match, error = self.buffering( useField )

              File "/usr/share/qgis/python/plugins/fTools/tools/doGeoprocessing.py", line 449, in buffering

                inGeom = QgsGeometry( inFeat.geometry() )

            TypeError: arguments did not match any overloaded call:

              QgsGeometry(): too many arguments

              QgsGeometry(QgsGeometry): argument 1 has unexpected type 'NoneType'

Python version:

            2.7.6 (default, Mar 22 2014, 23:03:41) 

            [GCC 4.8.2]

QGIS version:

            2.8.1-Wien Wien, exported

Python path: ['/home/rjhale/.qgis2/python/plugins/processing', '/usr/share/qgis/python', u'/home/rjhale/.qgis2/python',

u'/home/rjhale/.qgis2/python/plugins', '/usr/share/qgis/python/plugins', '/usr/lib/python2.7',

'/usr/lib/python2.7/plat-x86_64-linux-gnu', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload',

'/usr/local/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PILcompat',

'/usr/lib/python2.7/dist-packages/gst-0.10', '/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.7',

'/usr/lib/python2.7/dist-packages/ubuntu-sso-client', '/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode',

u'/home/rjhale/.qgis2//python', '/home/rjhale/.qgis2/python/plugins/DigitizingTools/tools',

'/usr/share/qgis/python/plugins/fTools/tools', '/home/rjhale/.qgis2/python/plugins/mmqgis/forms']

History

#1 - 2015-04-06 11:03 AM - Maximilian Krambach

When loading your data into grass GIS, it reports "1 feature without geometry". So I assume the data is somehow corrupt. I'm sending you the (hoepefullya

corrected data (imported to grass, reexported to shapefile) via mail.
https://drive.google.com/file/d/0B8WLtz606XDdYzFuOXZNOGNIYkE/view?usp=sharing


For the buffer tool, it just hangs here at 99% and never completes. (2.8.1, debian).

#2 - 2015-04-06 11:05 AM - Randal Hale

- Status changed from Open to Closed

Bad data......I thought I had checked this thoroughly.

#3 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
